%define major 0
%define namepart launcher
%define libname %mklibname %{namepart} %{major}
%define develname %mklibname -d %{namepart}

Name:		lib%{namepart}
Summary:	A shared library that provides objects that help monitor the current user's freedesktop.org menus
Version:	0.1.8
Release:	%mkrel 1
License:	LGPLv3
Source:		%{name}-%{version}.tar.gz
URL:            https://launchpad.net/clutk
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-build

#BuildRequires:	

%description
Liblauncher is a shared library that provides objects that help monitor the
current user's freedesktop.org menus, running applications, folder bookmarks
and more. It also provides some utility functions to easily work with the
desktop.

%package -n %{libname}
Summary:        A shared library that provides objects that help monitor the current user's freedesktop.org menus
%description -n %{libname}
Liblauncher is a shared library that provides objects that help monitor the
current user's freedesktop.org menus, running applications, folder bookmarks
and more. It also provides some utility functions to easily work with the
desktop.

%package -n %{develname}
Summary:	Header files for %{name}
Requires:	%{libname} = %{version}-%{release}
%description -n %{develname}
Header files for %{name}

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%make

%install
rm -fr %buildroot
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/liblauncher-0.1.so.0
%{_libdir}/liblauncher-0.1.so.0.108.0

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/launcher-0.1
%{_libdir}/pkgconfig/launcher-0.1.pc
%{_libdir}/liblauncher-0.1.la
%{_libdir}/liblauncher-0.1.so

%changelog
* Sat Jun 05 2010 Oliver Burger <rpm@mandrivauser.de> 0.1.8-1mud2010.1
- initial package for Mandriva Linux
